org.apache.sling.jcr.jackrabbit.server.impl.security

## Class TrustedCredentials

- java.lang.Object
- - org.apache.sling.jcr.jackrabbit.server.impl.security.TrustedCredentials

All Implemented Interfaces:
  Serializable, javax.jcr.Credentials

Direct Known Subclasses:
  AdministrativeCredentials, AnonCredentials

    public abstract class TrustedCredentials
    extends Object
    implements javax.jcr.Credentials

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TrustedCredentials(String userId)`

### Method Summary

Methods
`Object` `getImpersonator()`
`Principal` `getPrincipal()`
`protected abstract Principal` `getPrincipal(String userId)`
`org.apache.jackrabbit.core.security.authentication.Authentication` `getTrustedAuthentication()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrustedCredentials

    public TrustedCredentials(String userId)

Parameters:
  `userId` -

### Method Detail

#### getPrincipal

    protected abstract Principal getPrincipal(String userId)

Parameters:
  `userId` -
Returns:

#### getPrincipal

    public Principal getPrincipal()

#### getTrustedAuthentication

    public org.apache.jackrabbit.core.security.authentication.Authentication getTrustedAuthentication()

Returns:

#### getImpersonator

    public Object getImpersonator()

Returns:
  null